# dada2

Exact sample inference from Illumina amplicon data. Resolves real variants differing by as little as one nucleotide.

### DADA2 Articles

Preprint describing DADA2's accuracy and precision: [DADA2: High resolution sample inference from amplicon data](http://dx.doi.org/10.1101/024034)

Peer reviewed publication: In progress.

### Installation

```S
source("https://bioconductor.org/biocLite.R")
biocLite("dada2")
```

### Tutorial

A walkthrough of the DADA2 pipeline for paired end Illumina Miseq data is available on [the DADA2 front page](http://benjjneb.github.io/dada2/).

### Other Resources

Planned feature improvements are publicly catalogued at the main DADA2 development site on github; specifically on the "Issues" page for DADA2:

https://github.com/benjjneb/dada2/issues

If the feature you are hoping for is not listed, you are welcome to add it as a feature request "issue" on this page. This request will be publicly available and listed on the page.

Bugs and difficulties in using DADA2 are also welcome on [the issue tracker](https://github.com/benjjneb/dada2/issues).
